import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRCameraAVSettingsUserLevelManagementClusterMPTZStruct extends _NSObject {
    static alloc(): _MTRCameraAVSettingsUserLevelManagementClusterMPTZStruct;
    static new(): _MTRCameraAVSettingsUserLevelManagementClusterMPTZStruct;
    init(): _MTRCameraAVSettingsUserLevelManagementClusterMPTZStruct;
    pan(): _NSNumber | null;
    setPan$(value: _NSNumber | null): void;
    tilt(): _NSNumber | null;
    setTilt$(value: _NSNumber | null): void;
    zoom(): _NSNumber | null;
    setZoom$(value: _NSNumber | null): void;
}
export interface _MTRCameraAVSettingsUserLevelManagementClusterMPTZStruct extends _NSCopying {
}
